<?php

include("../bd/sql_variables.php");

$db_conexion= mysql_connect("$sql_host", "$sql_usuario", "$sql_pass") or die(header ("No Disponible Servidor de Base de Datos"));
mysql_select_db("$sql_db");

$idj=$_GET['idj'];
$ids=$_GET['ids'];
$idmsn=$_GET['idmsn'];
$ugid=$_GET['ugid'];

$max = strlen($idmsn);
$num =  strpos($idmsn," ");
$ugids = substr($idmsn,0,$num);
$idm = substr($idmsn,$num+1,$max);

$sqlmensaje="delete from tb_mensajeria where  m_id ='$idm' and  j_id='$idj' and s_id='$ids' and ug_id='$ugid' and ug_ids='$ugids'";

//echo $sqlmensaje;
$resultmensaje = mysql_query($sqlmensaje);


//inicia cargar de lector de correos
//leer los mensajes enviados
$sqlmail = "select b.m_id as idm, b.ug_ids as cod, date_format(b.fecha,'%d/%m/%Y %h:%i:%s %p') as dia, a.ua_apepat as apepat, ";
$sqlmail = $sqlmail." a.ua_apemat as apemat, a.ua_nom as nombre from tb_mensajeria b inner join tb_usuasist a on a.ug_id=b.ug_ids ";
$sqlmail = $sqlmail." where b.j_id='$idj' and b.s_id='$ids' and b.ug_id='$ugid' order by dia desc";
//echo $sqlmail;

$resultmail = mysql_query($sqlmail);
$cadenaleermail="<table align='center' class='FacetFormTABLE' width='300'><tr><td class='FacetFieldCaptionTDT' align='center'>BUZON DE MENSAJES</td></tr><tr><td><b>Seleccione Mensaje:</b></td></tr>";
$cadenaleermail=$cadenaleermail."<tr><td><table align='center' class='FacetFormTABLE' width='100'><tr><td class='FacetFieldCaptionTD' align='center'>Fecha y Hora Env</td><td class='FacetFieldCaptionTD' align='center'>Remitente</td><td class='FacetFieldCaptionTD' align='center'>Eliminar</td></tr>";
$cadenaleermail=$cadenaleermail."<tr><td colspan='2'><select id='leermail' size='6' onClick='funleermail()'>";
$p=0;
while ($rowm= mysql_fetch_array($resultmail)){
$codigo=$rowm['cod'];
$apepat=$rowm['apepat'];
$apemat=$rowm['apemat'];
$nombre=$rowm['nombre'];
//$letranom=substr($nombre, 0, 1);
$letraapemat=substr($apemat, 0, 1);
$nombrefijo= $nombre." ".$apepat." ".$letraapemat.".";
$p=$p+1;
$idm = $rowm['idm'];
$codigo =$rowm['cod'];
$idcodigo=$codigo." ".$idm;
if($p==1){
$idm0 = $rowm['idm'];
$codigo0 =$rowm['cod'];
$cadenaleermail=$cadenaleermail."<option value='".$idcodigo."' selected>&nbsp;&nbsp;".$rowm['dia']."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".$nombrefijo."</option>";
}else{
$cadenaleermail=$cadenaleermail."<option value='".$idcodigo."'>&nbsp;&nbsp;".$rowm['dia']."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".$nombrefijo."</option>";
}
}

/// mensajes de las jefaturas
//leer los mensajes enviados
$sqlmail = "select b.m_id as idm, b.ug_ids as cod, date_format(b.fecha,'%d/%m/%Y %h:%i:%s %p') as dia, a.up_apepat as apepat, ";
$sqlmail = $sqlmail." a.up_apemat as apemat, a.up_nom as nombre from tb_mensajeria b inner join tb_usuprog a on a.ug_id=b.ug_ids ";
$sqlmail = $sqlmail." where b.j_id='$idj' and b.s_id='$ids' and b.ug_id='$ugid' order by dia desc";
//echo $sqlmail;
$resultmail = mysql_query($sqlmail);
while ($rowm= mysql_fetch_array($resultmail)){
$codigo=$rowm['cod'];
$apepat=$rowm['apepat'];
$apemat=$rowm['apemat'];
$nombre=$rowm['nombre'];
//$letranom=substr($nombre, 0, 1);
$letraapemat=substr($apemat, 0, 1);
$nombrefijo= $nombre." ".$apepat." ".$letraapemat.".";
$p=$p+1;
$idm = $rowm['idm'];
$codigo =$rowm['cod'];
$idcodigo=$codigo." ".$idm;
if($p==1){
$idm0 = $rowm['idm'];
$codigo0 =$rowm['cod'];
$cadenaleermail=$cadenaleermail."<option value='".$idcodigo."' selected>&nbsp;&nbsp;".$rowm['dia']."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".$nombrefijo."</option>";
}else{
$cadenaleermail=$cadenaleermail."<option value='".$idcodigo."'>&nbsp;&nbsp;".$rowm['dia']."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".$nombrefijo."</option>";
}
}

//////////

$sqlmensaje="select m_mail as mail from tb_mensajeria where  m_id ='$idm0' and  j_id='$idj' and s_id='$ids' and ug_id='$codigo0'";

//echo $sqlmensaje;
$resultmensaje = mysql_query($sqlmensaje);
while ($rowmsn= mysql_fetch_array($resultmensaje)){
$mensaje = $rowmsn['mail'];
}
$cadenaleermail=$cadenaleermail."</select></td><td align='center'><a href=''><img src='img/b_edit.png' onClick='eliminarmail()'></a></td></tr></table><tr><td><b>Leer Mensaje:</b></td></tr><tr><td>";
$cadenaleermail=$cadenaleermail."<table align='center' class='FacetFormTABLE' height='80'><tr><td align='center'>";
$cadenaleermail=$cadenaleermail."<div id='divleermail'><TEXTAREA name='msnleer' rows='5' cols='33'>".$mensaje."</TEXTAREA></div>";
$cadenaleermail=$cadenaleermail."</td></tr></table></td></tr></table>";
//echo "<script type='text/javascript'>window.opener.location.reload(); window.close();</script>";

echo $cadenaleermail;
?>